Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalFileChooserUI.DirectoryComboBoxModel

    java.lang.Object
      |
      +--javax.swing.AbstractListModel
            |
            +--javax.swing.plaf.metal.MetalFileChooserUI.DirectoryComboBoxModel

All Implemented Interfaces:
  ComboBoxModel, ListModel, Serializable

Enclosing class:
  MetalFileChooserUI

protected class MetalFileChooserUI.DirectoryComboBoxModel
extends AbstractListModel
implements ComboBoxModel

Data model for a type-face selection combo-box.

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`MetalFileChooserUI.DirectoryComboBoxModel()`

Method Summary
`int` | `getDepth(int i)`
`Object` | `getElementAt(int index)` Returns the value at the specified index.
`Object` | `getSelectedItem()` Returns the selected item
`int` | `getSize()` Returns the length of the list.
`void` | `setSelectedItem(Object selectedDirectory)` Set the selected item.

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.ListModel
`addListDataListener, removeListDataListener`

Constructor Detail

### MetalFileChooserUI.DirectoryComboBoxModel

    public MetalFileChooserUI.DirectoryComboBoxModel()

Method Detail

### getDepth

    public int getDepth(int i)

### setSelectedItem

    public void setSelectedItem(Object selectedDirectory)

  Description copied from interface: `ComboBoxModel`
  Set the selected item. The implementation of this method should notify all registered `ListDataListener`s that the contents have changed.

  Specified by:
    `setSelectedItem` in interface `ComboBoxModel`
  Parameters:
    `selectedDirectory` - the list object to select or `null` to clear the selection

### getSelectedItem

    public Object getSelectedItem()

  Description copied from interface: `ComboBoxModel`
  Returns the selected item

  Specified by:
    `getSelectedItem` in interface `ComboBoxModel`
  Returns:
    The selected item or `null` if there is no selection

### getSize

    public int getSize()

  Description copied from interface: `ListModel`
  Returns the length of the list.

  Specified by:
    `getSize` in interface `ListModel`
  Returns:
    the length of the list

### getElementAt

    public Object getElementAt(int index)

  Description copied from interface: `ListModel`
  Returns the value at the specified index.

  Specified by:
    `getElementAt` in interface `ListModel`
  Parameters:
    `index` - the requested index
  Returns:
    the value at `index`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.